export interface TimeConverterPort {
  localStringTimeToUtcStringTime(time: string, timezone: string): string;
  utcStringTimeToLocalStringTime(time: string, timezone: string): string;
  localStringDateTimeToUtcDate(
    date: string,
    time: string,
    timezone: string,
    dst?: boolean,
  ): Date;
  utcStringDateTimeToLocalIsoString(
    date: string,
    time: string,
    timezone: string,
    dst?: boolean,
  ): string;
  utcUnixEpochDayFromTime(time: string, timezone: string): number;
  localUnixEpochDayFromTime(time: string, timezone: string): number;
}
